| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IMeshSceneNode Class Reference

A scene node displaying a static mesh. More...

`#include <IMeshSceneNode.h>`

Inheritance diagram for irr::scene::IMeshSceneNode:

List of all members.

## Public Member Functions

- IMeshSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id, const core::vector3df &position=core::vector3df(0, 0, 0), const core::vector3df &rotation=core::vector3df(0, 0, 0), const core::vector3df &scale=core::vector3df(1, 1, 1))
    Constructor.
- virtual IShadowVolumeSceneNode * addShadowVolumeSceneNode (const IMesh *shadowMesh=0, s32 id=-1, bool zfailmethod=true, f32 infinity=1000.0f)=0
    Creates shadow volume scene node as child of this node.
- virtual IMesh * getMesh (void)=0
    Get the currently defined mesh for display.
- virtual bool isReadOnlyMaterials () const =0
    Check if the scene node should not copy the materials of the mesh but use them in a read only style.
- virtual void setMesh (IMesh *mesh)=0
    Sets a new mesh to display.
- virtual void setReadOnlyMaterials (bool readonly)=0
    Sets if the scene node should not copy the materials of the mesh but use them in a read only style.

## Detailed Description

A scene node displaying a static mesh.

Definition at line 20 of file IMeshSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IMeshSceneNode::IMeshSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id,
|  | const core::vector3df & | position = `core::vector3df(0,0,0)`,
|  | const core::vector3df & | rotation = `core::vector3df(0,0,0)`,
|  | const core::vector3df & | scale = `core::vector3df(1,1,1)`
| ) |  | `[inline]`

Constructor.

Use setMesh() to set the mesh to display.

Definition at line 27 of file IMeshSceneNode.h.

## Member Function Documentation

virtual IShadowVolumeSceneNode* irr::scene::IMeshSceneNode::addShadowVolumeSceneNode | ( | const IMesh * | shadowMesh = `0`,
|  | s32 | id = `-1`,
|  | bool | zfailmethod = `true`,
|  | f32 | infinity = `1000.0f`
| ) |  | `[pure virtual]`

Creates shadow volume scene node as child of this node.

The shadow can be rendered using the ZPass or the zfail method. ZPass is a little bit faster because the shadow volume creation is easier, but with this method there occur ugly looking artifacs when the camera is inside the shadow volume. These error do not occur with the ZFail method.

Parameters:

  shadowMesh,: | Optional custom mesh for shadow volume.
  id,: | Id of the shadow scene node. This id can be used to identify the node later.
  zfailmethod,: | If set to true, the shadow will use the zfail method, if not, zpass is used.
  infinity,: | Value used by the shadow volume algorithm to scale the shadow volume (for zfail shadow volume we support only finite shadows, so camera zfar must be larger than shadow back cap, which is depend on infinity parameter).

Returns:
  Pointer to the created shadow scene node. This pointer should not be dropped. See IReferenceCounted::drop() for more information.

virtual IMesh* irr::scene::IMeshSceneNode::getMesh | ( | void |  | ) | `[pure virtual]`

Get the currently defined mesh for display.

Returns:
  Pointer to mesh which is displayed by this node.

virtual bool irr::scene::IMeshSceneNode::isReadOnlyMaterials | ( |  | ) | const`[pure virtual]`

Check if the scene node should not copy the materials of the mesh but use them in a read only style.

This flag can be set by setReadOnlyMaterials().

Returns:
  Whether the materials are read-only.

virtual void irr::scene::IMeshSceneNode::setMesh | ( | IMesh * | mesh | ) | `[pure virtual]`

Sets a new mesh to display.

Parameters:

  mesh | Mesh to display.

virtual void irr::scene::IMeshSceneNode::setReadOnlyMaterials | ( | bool | readonly | ) | `[pure virtual]`

Sets if the scene node should not copy the materials of the mesh but use them in a read only style.

In this way it is possible to change the materials of a mesh causing all mesh scene nodes referencing this mesh to change, too.

Parameters:

  readonly | Flag if the materials shall be read-only.

The documentation for this class was generated from the following file:

- IMeshSceneNode.h